#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

const long MAXN = 1200;
struct LongInt{ 
  char tab[MAXN];
  int num;
};

void drukuj(LongInt &A) {
int i;
  for (i=MAXN-1; i>=0 && A.tab[i]==0; i--);
  if (i<0) printf("0");
  else
  for (;i>=0;i--) printf("%c",A.tab[i]+'0');
}
void zeruj(LongInt &A) {
  for (int i=MAXN-1; i>=0; i--) A.tab[i]=0;
  A.num=0;
}

int dlug(LongInt &A) {
  int i;
  for (i=MAXN-1; i>=0 && A.tab[i]==0; i--);

  return(i>0?i+1:1);
}

LongInt &dodaj(LongInt &A, LongInt &B) {
  LongInt *C = new LongInt;
  zeruj(*C);
  char p=0;
  for (int i=0; i<MAXN; i++) {
   C->tab[i]=A.tab[i]+B.tab[i]+p;
   p=0;
   if (C->tab[i]>9) { p=C->tab[i]/10; C->tab[i] %=10;}
  }
  return *C;
} 

LongInt &odejmij(LongInt A, LongInt B) {
  LongInt *C = new LongInt;
  zeruj(*C);
  char p=0;
  for (int i=0; i<MAXN; i++) {

   if (A.tab[i]<B.tab[i]) {
     int j;
     for(j=i+1; j<MAXN && A.tab[j]==0; j++){
       A.tab[j]=9;
     }
     A.tab[j]--;
     A.tab[i]+=10;
   }     
     
   C->tab[i]=A.tab[i]-B.tab[i]+p;
   
  }
  return *C;
} 



int main()
{

  long int N;
  scanf("%ld\n",&N);
  for(long int L=0; L<N; L++) {
     LongInt A,B,C,Z;
     zeruj(A); zeruj(B); zeruj(C);
     LongInt D[20];
     int i;

     char buf[MAXN];
     int k=0;
     char op;
     char b;
     for (;;) {
       scanf("%c",&b);
       if (b=='-' || b=='+' || b=='*') break;
       buf[k++]=b-'0';
     }  
     op=b;
     for (i=0; i<k; i++)
       A.tab[i]=buf[k-i-1];
     
     k=0;
     for (;;) {
       int r=scanf("%c",&b);
       if (r<=0 || b=='\n' ) break;
       buf[k++]=b-'0';
     }  
     for (i=0; i<k; i++)
       B.tab[i]=buf[k-i-1];

     int la,lb,lc,z;
     int ld[MAXN];
     la=dlug(A); lb=dlug(B);
     switch(op) {
     case('+') : C=dodaj(A,B);
             lc=dlug(C);
             if(lc>lb+1) z=lc; else z=lb+1;
             break;
     case('-') : 
             C=odejmij(A,B);
	     if (la>lb+1) z=la;
	     else z=lb+1;
             lc=dlug(C);
	      break;
     case('*') :
             for ( i=0; i<10; i++)
	       zeruj(D[i]);
             int j;
	     ld[0]=1;
             for (i=1; i<10; i++) {
	       D[i]=dodaj(D[i-1],A);
	       ld[i]=dlug(D[i]);
	     }
	     for (i=0; i<lb; i++) {
	       if (B.tab[i]!=0) {
		 zeruj(Z);

		 for(j=0; j<ld[B.tab[i]]; j++)
		   Z.tab[i+j]=D[B.tab[i]].tab[j];
		   
		 C=dodaj(C,Z);
		}
	
	    }
	    lc=dlug(C);
	     if (la>lb+1) z=la;
	     else z=lb+1;
	     if (lc>z)  z=lc;
	    break;
     }
     
     for (i=0; i<z-la; i++) printf(" ");
     drukuj(A); printf("\n");
     for (i=0; i<z-lb-1; i++) printf(" ");
     printf("%c",op);
     drukuj(B); printf("\n");
     
     
     if (op=='*' && lb>1) {
	 
     int ldd;
       int cc=la;
       if (lb+1>cc) cc=lb;
       for (i=0; i<z-cc-1; i++) printf(" ");
       for (; i<z; i++) printf("-");
       printf("\n");
         for (i=0; i<lb; i++) {
	   int j;
	   ldd=ld[B.tab[i]]+i;
	   for(j=0;j<z-ldd; j++) printf(" ");
           drukuj(D[B.tab[i]]); printf("\n");
         }
         if (lc>ldd) ldd=lc;
         for (i=0; i<z-ldd; i++) printf(" ");
         for (; i<z; i++) printf("-");
         printf("\n");
         
    } else {
        int aa=lb+1;
	if (lc>aa) aa=lc;
	for (i=0; i<z-aa;i++) printf(" ");
         for (; i<z; i++) printf("-");
         printf("\n");
    }
     for (i=0; i<z-lc; i++) printf(" ");
     drukuj(C); printf("\n");
     
    printf("\n");    
           
  }
  return 0;
}